# view backend exportable egl

## Functions

### wpe_view_backend_exportable_fdo_egl_create

    struct wpe_view_backend_exportable_fdo *
    wpe_view_backend_exportable_fdo_egl_create (struct wpe_view_backend_exportable_fdo_egl_client * ,
                                                void * ,
                                                uint32_t width,
                                                uint32_t height)

Parameters:

`` –
No description available
`` –
No description available
`width` –
No description available
`height` –
No description available
Returns (struct wpe_view_backend_exportable_fdo *) –
No description available

### wpe_view_backend_exportable_fdo_egl_dispatch_release_exported_image

    void
    wpe_view_backend_exportable_fdo_egl_dispatch_release_exported_image (struct wpe_view_backend_exportable_fdo * ,
                                                                         struct wpe_fdo_egl_exported_image * )

Parameters:

`` –
No description available
`` –
No description available
Returns (void ) –
No description available

### wpe_view_backend_exportable_fdo_egl_dispatch_release_image

    void
    wpe_view_backend_exportable_fdo_egl_dispatch_release_image (struct wpe_view_backend_exportable_fdo * exportable,
                                                                EGLImageKHR image)

Parameters:

`exportable` –
No description available
`image` –
No description available
Returns (void ) –
No description available

### wpe_view_backend_exportable_fdo_egl_dispatch_release_shm_exported_buffer

    void
    wpe_view_backend_exportable_fdo_egl_dispatch_release_shm_exported_buffer (struct wpe_view_backend_exportable_fdo * ,
                                                                              struct wpe_fdo_shm_exported_buffer * )

Parameters:

`` –
No description available
`` –
No description available
Returns (void ) –
No description available

## Structures

### wpe_view_backend_exportable_fdo

### wpe_view_backend_exportable_fdo_egl_client

    struct wpe_view_backend_exportable_fdo_egl_client {
        void (*export_egl_image)(void* data, EGLImageKHR image);
        void (*export_fdo_egl_image)(void* data, struct wpe_fdo_egl_exported_image* image);
        void (*export_shm_buffer)(void* data, struct wpe_fdo_shm_exported_buffer* buffer);
        void (*_wpe_reserved0)(void);
        void (*_wpe_reserved1)(void);
    };

#### Fields

`export_egl_image` () –
No description available
`export_fdo_egl_image` () –
No description available
`export_shm_buffer` () –
No description available
`_wpe_reserved0` () –
No description available
`_wpe_reserved1` () –
No description available

The results of the search are